Get content for multiple mints
curl --request GET \
--url https://api.jup.ag/tokens/v2/content \
--header 'x-api-key: <api-key>'{
"data": [
{
"mint": "<string>",
"contents": [
{
"contentId": "<string>",
"content": "<string>",
"status": "approved",
"source": "<string>",
"submittedAt": "<string>",
"submittedBy": {
"id": "<string>",
"username": "<string>",
"role": "<string>"
},
"updatedAt": "<string>",
"updatedBy": {
"id": "<string>",
"username": "<string>",
"role": "<string>"
},
"postedAt": "<string>"
}
],
"tokenSummary": {
"summaryFull": "<string>",
"summaryShort": "<string>",
"updatedAt": "<string>",
"citations": [
"<string>"
]
},
"newsSummary": {
"summaryFull": "<string>",
"summaryShort": "<string>",
"updatedAt": "<string>",
"citations": [
"<string>"
]
}
}
]
}Content
Get Content
Retrieves approved content for up to 50 Solana token mint addresses
GET
/
content
Get content for multiple mints
curl --request GET \
--url https://api.jup.ag/tokens/v2/content \
--header 'x-api-key: <api-key>'{
"data": [
{
"mint": "<string>",
"contents": [
{
"contentId": "<string>",
"content": "<string>",
"status": "approved",
"source": "<string>",
"submittedAt": "<string>",
"submittedBy": {
"id": "<string>",
"username": "<string>",
"role": "<string>"
},
"updatedAt": "<string>",
"updatedBy": {
"id": "<string>",
"username": "<string>",
"role": "<string>"
},
"postedAt": "<string>"
}
],
"tokenSummary": {
"summaryFull": "<string>",
"summaryShort": "<string>",
"updatedAt": "<string>",
"citations": [
"<string>"
]
},
"newsSummary": {
"summaryFull": "<string>",
"summaryShort": "<string>",
"updatedAt": "<string>",
"citations": [
"<string>"
]
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
Comma-separated list of Solana mint addresses (max 50)
Example:
"JUPyiwrYJFskUPiHa7hkeR8VUtAeFoSYbKedZNsDvCN,So11111111111111111111111111111111111111112"
Response
Successfully retrieved content for the specified mints
Show child attributes
Show child attributes
Was this page helpful?
⌘I
